Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6760 - dns fails for internal addresses
Summary: dns fails for internal addresses
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-05 15:16 UTC by tallen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 17:32:23 UTC


Attachments (Terms of Use)
resolv.conf (deleted)
1999-11-16 17:06 UTC, Bill Nottingham
no flags Details

Description tallen 1999-11-05 15:16:51 UTC
The DNS boxes are running RHL 5.? and forward to the
firewall which proxies an external DNS server.

can I revert to an older bind?

a fully qualified name will work (eg piper.armfinancial.com
works while piper does not).

external names (which must be fully qualified) work okay.
(eg www.yahoo.com works)

Comment 1 Bill Nottingham 1999-11-05 15:50:59 UTC
What's the search domain set to on the clients where this is
failing?

Comment 2 Bill Nottingham 1999-11-16 17:06:59 UTC
Created attachment 4 [details]
resolv.conf

Comment 3 Cristian Gafton 2000-02-04 17:32:59 UTC
for external hosts bind is doing a forward request. bind does not resolve out of
the /etc/hosts. I think this is a misconfiguration on the bind server. I suggest
you dump the named database and take a look at it (ndc help)


Note You need to log in before you can comment on or make changes to this bug.